Bug 1307944 - python-scikit-learn: FTBFS in rawhide
python-scikit-learn: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-scikit-learn (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:09 EST by Fedora Release Engineering
Modified: 2016-04-05 06:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-scikit-learn-0.17.1-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 06:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (1003.37 KB, text/plain)
2016-02-13 17:09 EST, Fedora Release Engineering
no flags Details
root.log (111.78 KB, text/plain)
2016-02-13 17:09 EST, Fedora Release Engineering
no flags Details
state.log (665 bytes, text/plain)
2016-02-13 17:09 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:09:47 EST
Your package python-scikit-learn failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12862130

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:09:51 EST
Created attachment 1125893 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:09:53 EST
Created attachment 1125894 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:09:55 EST
Created attachment 1125895 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:03:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Elliott Sales de Andrade 2016-03-02 01:53:11 EST
The fix is here:
https://github.com/ogrisel/scikit-learn/commit/e6cc86172b1673d04c45162a271685f4d89447a2

Other changes that might be necessary for compatibility with NumPy 1.11 are here:
https://github.com/scikit-learn/scikit-learn/pull/6363
Comment 6 Fedora Update System 2016-03-30 11:01:59 EDT
python-joblib-0.9.4-1.fc24 python-scikit-learn-0.17.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0ff7d373
Comment 7 Fedora Update System 2016-03-30 18:24:56 EDT
python-joblib-0.9.4-1.fc24, python-scikit-learn-0.17.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0ff7d373
Comment 8 Fedora Update System 2016-03-31 07:19:48 EDT
python-scikit-learn-0.17.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3280169838
Comment 9 Fedora Update System 2016-03-31 08:37:48 EDT
python-astroML-0.3-8.fc24 python-joblib-0.9.4-1.fc24 python-scikit-learn-0.17.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0ff7d373
Comment 10 Fedora Update System 2016-04-01 16:57:55 EDT
python-astroML-0.3-8.fc24, python-joblib-0.9.4-1.fc24, python-scikit-learn-0.17.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd0ff7d373
Comment 11 Fedora Update System 2016-04-05 06:11:57 EDT
python-astroML-0.3-8.fc24, python-joblib-0.9.4-1.fc24, python-scikit-learn-0.17.1-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.